Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2097377 - kata-containers-2.3.2-2.fc36.x86_64 errors during package installation
Summary: kata-containers-2.3.2-2.fc36.x86_64 errors during package installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kata-containers
Version: 36
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eduardo Lima (Etrunko)
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-15 14:29 UTC by Claudio Cuqui
Modified: 2022-07-13 01:58 UTC (History)
2 users (show)

Fixed In Version: kata-containers-2.3.3-2.fc36.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-13 01:58:21 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Claudio Cuqui 2022-06-15 14:29:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):

kata-containers-2.3.2-2.fc36.x86_64


How reproducible:
Always


Steps to Reproduce:
1. dnf install kata-containers.x86_64
2.
3.

Actual results:

# dnf install kata-containers.x86_64
Last metadata expiration check: 0:18:18 ago on Wed 15 Jun 2022 10:57:17 AM -03.
Dependencies resolved.
===================================================================================================================================
 Package                            Architecture              Version                             Repository                  Size
===================================================================================================================================
Installing:
 kata-containers                    x86_64                    2.3.2-2.fc36                        fedora                      22 M
Installing dependencies:
 busybox                            x86_64                    1:1.35.0-4.fc36                     updates                    671 k
 musl-filesystem                    x86_64                    1.2.3-1.fc36                        updates                    8.1 k
 musl-libc                          x86_64                    1.2.3-1.fc36                        updates                    461 k
 qemu-kvm-core                      x86_64                    2:6.2.0-10.fc36                     updates                     15 k

Transaction Summary
===================================================================================================================================
Install  5 Packages

Total download size: 24 M
Installed size: 89 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): musl-filesystem-1.2.3-1.fc36.x86_64.rpm                                                      28 kB/s | 8.1 kB     00:00    
(2/5): busybox-1.35.0-4.fc36.x86_64.rpm                                                            1.3 MB/s | 671 kB     00:00    
(3/5): musl-libc-1.2.3-1.fc36.x86_64.rpm                                                           854 kB/s | 461 kB     00:00    
(4/5): kata-containers-2.3.2-2.fc36.x86_64.rpm                                                     5.8 MB/s |  22 MB     00:03    
(5/5): qemu-kvm-core-6.2.0-10.fc36.x86_64.rpm                                                      922  B/s |  15 kB     00:16    
-----------------------------------------------------------------------------------------------------------------------------------
Total                                                                                              1.4 MB/s |  24 MB     00:17     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                           1/1 
  Installing       : qemu-kvm-core-2:6.2.0-10.fc36.x86_64                                                                      1/5 
  Installing       : musl-filesystem-1.2.3-1.fc36.x86_64                                                                       2/5 
  Installing       : musl-libc-1.2.3-1.fc36.x86_64                                                                             3/5 
  Installing       : busybox-1:1.35.0-4.fc36.x86_64                                                                            4/5 
  Installing       : kata-containers-2.3.2-2.fc36.x86_64                                                                       5/5 
  Running scriptlet: kata-containers-2.3.2-2.fc36.x86_64                                                                       5/5 
Created symlink /etc/systemd/system/kubelet.service.wants/kata-osbuilder-generate.service → /usr/lib/systemd/system/kata-osbuilder-generate.service.
Unit /usr/lib/systemd/system/kata-osbuilder-generate.service is added as a dependency to a non-existent unit kubelet.service.
Creating kata appliance initrd...
Building failed. Here is the log details:
+ Building dracut initrd
dracut: Configuration file '/dev/null' not found.
warning: %post(kata-containers-2.3.2-2.fc36.x86_64) scriptlet failed, exit status 1

Error in POSTIN scriptlet in rpm package kata-containers
  Verifying        : kata-containers-2.3.2-2.fc36.x86_64                                                                       1/5 
  Verifying        : busybox-1:1.35.0-4.fc36.x86_64                                                                            2/5 
  Verifying        : musl-filesystem-1.2.3-1.fc36.x86_64                                                                       3/5 
  Verifying        : musl-libc-1.2.3-1.fc36.x86_64                                                                             4/5 
  Verifying        : qemu-kvm-core-2:6.2.0-10.fc36.x86_64                                                                      5/5 

Installed:
  busybox-1:1.35.0-4.fc36.x86_64         kata-containers-2.3.2-2.fc36.x86_64          musl-filesystem-1.2.3-1.fc36.x86_64        
  musl-libc-1.2.3-1.fc36.x86_64          qemu-kvm-core-2:6.2.0-10.fc36.x86_64        



Expected results:

No errors like this...: 

Unit /usr/lib/systemd/system/kata-osbuilder-generate.service is added as a dependency to a non-existent unit kubelet.service.
Creating kata appliance initrd...
Building failed. Here is the log details:
+ Building dracut initrd
dracut: Configuration file '/dev/null' not found.
warning: %post(kata-containers-2.3.2-2.fc36.x86_64) scriptlet failed, exit status 1


...during installation 


Additional info:

none

Comment 1 Fedora Update System 2022-06-17 14:08:15 UTC
FEDORA-2022-9afa78f55a has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9afa78f55a

Comment 2 Fedora Update System 2022-06-18 01:40:45 UTC
FEDORA-2022-9afa78f55a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9afa78f55a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9afa78f55a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-06-23 01:19:50 UTC
FEDORA-2022-ba365d3703 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-ba365d3703`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ba365d3703

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-07-13 01:58:21 UTC
FEDORA-2022-ba365d3703 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.